<HTML>
<HEAD><TITLE>Synthesis and Ngdbuild Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Syn"></A><B><U><big>Synthesis and Ngdbuild  Report</big></U></B>
synthesis:  version Diamond (64-bit) 3.12.0.240.2

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.
Sat Oct 28 12:14:55 2023


Command Line:  synthesis -f GENDECAL_GEN1_lattice.synproj -gui -msgset C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/promote.xml 

Synthesis options:
The -a option is MachXO2.
The -s option is 5.
The -t option is TQFP144.
The -d option is LCMXO2-7000HE.
Using package TQFP144.
Using performance grade 5.
                                                          

##########################################################

### Lattice Family : MachXO2

### Device  : LCMXO2-7000HE

### Package : TQFP144

### Speed   : 5

##########################################################

                                                          

INFO - synthesis: User-Selected Strategy Settings
Optimization goal = Balanced
Top-level module name = TOP.
Target frequency = 200.000000 MHz.
Maximum fanout = 1000.
Timing path count = 3
BRAM utilization = 100.000000 %
DSP usage = true
DSP utilization = 100.000000 %
fsm_encoding_style = auto
resolve_mixed_drivers = 0
fix_gated_clocks = 1

Mux style = Auto
Use Carry Chain = true
carry_chain_length = 0
Loop Limit = 1950.
Use IO Insertion = TRUE
Use IO Reg = AUTO

Resource Sharing = TRUE
Propagate Constants = TRUE
Remove Duplicate Registers = TRUE
force_gsr = auto
ROM style = auto
RAM style = auto
The -comp option is FALSE.
The -syn option is FALSE.
-p C:/lscc/diamond/3.12/ispfpga/xo2c00/data (searchpath added)
-p C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/GEN1 (searchpath added)
-p C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage (searchpath added)
VHDL library = work
VHDL design file = C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/PROTO1.vhd
VHDL design file = C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/TOP.vhd
NGD file = GENDECAL_GEN1.ngd
-sdc option: SDC file input not used.
-lpf option: Output file option is ON.
Hardtimer checking is enabled (default). The -dt option is not used.
The -r option is OFF. [ Remove LOC Properties is OFF. ]
Technology check ok...

Analyzing Verilog file C:/lscc/diamond/3.12/ispfpga/userware/NT/SYNTHESIS_HEADERS/machxo2.v. VERI-1482
Compile design.
Compile Design Begin
INFO - synthesis: The default VHDL library search path is now "C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/GEN1". VHDL-1504
Analyzing VHDL file c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/proto1.vhd. VHDL-1481
INFO - synthesis: c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/proto1.vhd(8): analyzing entity gendecal. VHDL-1012
INFO - synthesis: c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/proto1.vhd(15): analyzing architecture descript. VHDL-1010
unit TOP is not yet analyzed. VHDL-1485
Analyzing VHDL file c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/top.vhd. VHDL-1481
INFO - synthesis: c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/top.vhd(8): analyzing entity top. VHDL-1012
INFO - synthesis: c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/top.vhd(16): analyzing architecture behav. VHDL-1010
unit TOP is not yet analyzed. VHDL-1485
unit TOP is not yet analyzed. VHDL-1485
c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/top.vhd(8): executing TOP(BEHAV)

WARNING - synthesis: c:/users/user.desktop-9hj28hq/documents/cours/l2 geii/s3/temp eer/gen decalage/top.vhd(14): replacing existing netlist TOP(BEHAV). VHDL-1205
Top module name (VHDL): TOP
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/xo2c00a/data/xo2alib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/xo2c00/data/xo2clib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/mg5g00/data/mg5glib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/or5g00/data/orc5glib.ngl'...
Loading device for application map from file 'xo2c7000.nph' in environment: C:/lscc/diamond/3.12/ispfpga.
Package Status:                     Final          Version 1.39.
Top-level module name = TOP.
WARNING - synthesis: I/O Port O_DATA_VECT[4] 's net has no driver and is unused.
WARNING - synthesis: I/O Port O_DATA_VECT[3] 's net has no driver and is unused.
WARNING - synthesis: I/O Port O_DATA_VECT[2] 's net has no driver and is unused.
WARNING - synthesis: I/O Port O_DATA_VECT[1] 's net has no driver and is unused.
WARNING - synthesis: I/O Port O_DATA_VECT[0] 's net has no driver and is unused.
######## Missing driver on net O_DATA_VECT[4]. Patching with GND.
######## Missing driver on net O_DATA_VECT[3]. Patching with GND.
######## Missing driver on net O_DATA_VECT[2]. Patching with GND.
######## Missing driver on net O_DATA_VECT[1]. Patching with GND.
######## Missing driver on net O_DATA_VECT[0]. Patching with GND.



Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i16


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i13


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i12


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i11


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i8


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i5


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i4


Optimized async. reset : I_RST_c on data cone feeding flop : 


 \U2/QINT__i3


GSR instance connected to net n38.
Applying 200.000000 MHz constraint to all clocks

WARNING - synthesis: No user .sdc file.
Results of NGD DRC are available in TOP_drc.log.
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/xo2c00a/data/xo2alib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/xo2c00/data/xo2clib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/mg5g00/data/mg5glib.ngl'...
Loading NGL library 'C:/lscc/diamond/3.12/ispfpga/or5g00/data/orc5glib.ngl'...
All blocks are expanded and NGD expansion is successful.
Writing NGD file GENDECAL_GEN1.ngd.

################### Begin Area Report (TOP)######################
Number of register bits => 17 of 7209 (0 % )
FD1P3AY => 8
FD1S3AX => 9
GSR => 1
IB => 2
LUT4 => 3
OB => 6
OSCH => 1
################### End Area Report ##################

################### Begin BlackBox Report ######################
TSALL => 1
################### End BlackBox Report ##################

################### Begin Clock Report ######################
Clock Nets
Number of Clocks: 2
  Net : CPT, loads : 17
  Net : INT_CLK1, loads : 1
Clock Enable Nets
Number of Clock Enables: 1
Top 1 highest fanout Clock Enables:
  Net : CPT_enable_8, loads : 2
Highest fanout non-clock nets
Top 10 highest fanout non-clock nets:
  Net : CPT_enable_8, loads : 9
  Net : U2/QINT_6, loads : 2
  Net : U2/QINT_2, loads : 2
  Net : U2/QINT_1, loads : 2
  Net : I_STDBY_c, loads : 1
  Net : U2/O_DATA_c_0, loads : 1
  Net : I_RST_c, loads : 1
  Net : CPT_N_2_0, loads : 1
  Net : U2/QINTSUIVANT_15, loads : 1
  Net : U2/QINT_3, loads : 1
################### End Clock Report ##################

<A name="lse_trs"></A><B><U><big>Timing Report Summary</big></U></B>
--------------
--------------------------------------------------------------------------------
Constraint                              |   Constraint|       Actual|Levels
--------------------------------------------------------------------------------
                                        |             |             |
create_clock -period 5.000000 -name     |             |             |
clk1 [get_nets INT_CLK1]                |  200.000 MHz|  558.659 MHz|     2  
                                        |             |             |
create_clock -period 5.000000 -name     |             |             |
clk0 [get_nets CPT]                     |  200.000 MHz|  358.809 MHz|     2  
                                        |             |             |
--------------------------------------------------------------------------------


All constraints were met.


Peak Memory Usage: 73.727  MB

--------------------------------------------------------------
Elapsed CPU time for LSE flow : 0.578  secs
--------------------------------------------------------------



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
